summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTaylor R Campbell <campbell@mumble.net>2013-04-07 03:49:01 +0000
committerTaylor R Campbell <campbell@mumble.net>2013-04-07 03:49:01 +0000
commitd54ea28d72c423d53a3c19dc738ed457ab8b33b8 (patch)
tree2bf575196c3c1021a2ecbb886bd6e975fb62f3b0
parent6f2677b1a97e4d0a6e0e823eed9cd714ba700266 (diff)
Add a trivial shell script to generate paredit.html.
-rw-r--r--genhtml.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/genhtml.sh b/genhtml.sh
new file mode 100644
index 0000000..6b303ac
--- /dev/null
+++ b/genhtml.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -Ceu
+
+exec emacs --batch --load paredit.el --eval '
+(with-temp-buffer
+ (paredit-insert-html-examples)
+ (write-file "paredit.html"))
+'